ghc-events-0.20.0.0: Library and tool for parsing .eventlog files from GHC

Safe Haskell | None
Language | Haskell2010

GHC.RTS.Events.Analysis.SparkThread

# Documentation

data SparkThreadState Source #

Constructors

SparkThreadInitial |
SparkThreadCreated |
SparkThreadRunning Int |
SparkThreadPaused Int |
SparkThreadFinal |

#### Instances

Instances details

Show SparkThreadState Source # |
Instance details Defined in GHC.RTS.Events.Analysis.SparkThread Methods showsPrec :: Int -> SparkThreadState -> ShowS Source # show :: SparkThreadState -> String Source # showList :: [SparkThreadState] -> ShowS Source #
Eq SparkThreadState Source # |
Instance details Defined in GHC.RTS.Events.Analysis.SparkThread Methods (==) :: SparkThreadState -> SparkThreadState -> Bool Source # (/=) :: SparkThreadState -> SparkThreadState -> Bool Source #
Ord SparkThreadState Source # |

Instance details

Defined in GHC.RTS.Events.Analysis.SparkThread

Methods

compare :: SparkThreadState -> SparkThreadState -> Ordering Source #

(<) :: SparkThreadState -> SparkThreadState -> Bool Source #

(<=) :: SparkThreadState -> SparkThreadState -> Bool Source #

(>) :: SparkThreadState -> SparkThreadState -> Bool Source #

(>=) :: SparkThreadState -> SparkThreadState -> Bool Source #

max :: SparkThreadState -> SparkThreadState -> SparkThreadState Source #

min :: SparkThreadState -> SparkThreadState -> SparkThreadState Source #

sparkThreadMachine :: Machine SparkThreadState EventInfo Source #

capabilitySparkThreadMachine :: Machine (Map Int ThreadId, Set ThreadId) Event Source #

capabilitySparkThreadIndexer :: (Map Int ThreadId, Set ThreadId) -> Event -> Maybe ThreadId Source #